<?php
namespace Satoko;

/**
 * Configuration manager.
 *
 * @package Satoko
 * @author Julian van de Groep <me@flash.moe>
 */
class Config
{
    /**
     * Path to the configuration file.
     *
     * @var string
     */
    private static $path = "";

    /**
     * Parsed configuration file.
     *
     * @var array
     */
    private static $conf = [];

    /**
     * Initialise the configuration manager.
     *
     * @param string $file Path to the configuration file.
     */
    public static function init($file)
    {
        // Assign file
        self::$path = $file;

        // Parse the file
        self::$conf = parse_ini_file(self::$path, true);
    }

    /**
     * Write configuration to the set INI file.
     */
    public static function save()
    {
        // tbi
    }

    /**
     * Set a configuration value.
     *
     * @param string $name Key name separated by dots (e.g. database.host).
     * @param string $value Value to store under this entry.
     */
    public static function set($name, $value)
    {
        // tbi
    }

    /**
     * Get a configuration value.
     *
     * @param string $name Key name separated by dots (e.g. database.host).
     *
     * @return string|array
     */
    public static function get($name, $fallback = null)
    {
        // tbi
    }
}
